<mat-form-field appearance="fill">
  <mat-label>Grupowanie</mat-label>
  <mat-select (selectionChange)="refreshList()" [(ngModel)]="selectedCategory">
    <mat-option *ngFor="let category of categories" [value]="category.value">
      {{category.viewValue}}
    </mat-option>
  </mat-select>
</mat-form-field>
<div class="elements-list">
  <div *ngFor="let item of allListItems" class="single-element">
    <div class="element" (click)="refreshSchedule(item)">{{item.name}}</div>
  </div>
</div>
